Skip to main content

Get policy types

GET 

/nevisidm/api/core/v1/system/policy-types

Since: 2.79.0

Returns all available policy type identifiers as a list of string values.

These identifiers represent the different types of policies that can be configured in nevisIDM, such as password policies, credential policies, and entity-level policies.

The LoginPolicy type is deprecated since version 2.75.12. Use ClientPolicy instead.

Responses

Policy types retrieved successfully

Schema
    items string[]
    _pagination object
    continuationToken string

    The continuation token for fetching the next page of results generated from creation date and external id of the last entity

    limit int32

    The maximum number of results returned in a single page

    totalResult int64

    The total number of results available, only supported for selected endpoints, if returnTotalResultCount query-parameter is true

    _classifications object
    property name* string[]
  • Array [
  • string

  • ]
Loading...